Package org.apache.qpid.proton.codec

# Interface WritableBuffer

All Known Implementing Classes:
  `CompositeWritableBuffer`, `DroppingWritableBuffer`, `FrameWriterBuffer`, `WritableBuffer.ByteBufferWrapper`

public interface WritableBuffer

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`WritableBuffer.ByteBufferWrapper`

## Method Summary

Modifier and Type
Method
Description
`default void`
`ensureRemaining(int requiredRemaining)`
`boolean`
`hasRemaining()`
`int`
`limit()`
`int`
`position()`
`void`
`position(int position)`
`void`
`put(byte b)`
`void`
`put(byte[] src, int offset, int length)`
`default void`
`put(String value)`
`void`
`put(ByteBuffer payload)`
`void`
`put(ReadableBuffer payload)`
`void`
`putDouble(double d)`
`void`
`putFloat(float f)`
`void`
`putInt(int i)`
`void`
`putLong(long l)`
`void`
`putShort(short s)`
`int`
`remaining()`

## Method Details

### put

void put(byte b)

### putFloat

void putFloat(float f)

### putDouble

void putDouble(double d)

### put

void put(byte[] src, int offset, int length)

### putShort

void putShort(short s)

### putInt

void putInt(int i)

### putLong

void putLong(long l)

### hasRemaining

boolean hasRemaining()

### ensureRemaining

default void ensureRemaining(int requiredRemaining)

### remaining

int remaining()

### position

int position()

### position

void position(int position)

### put

void put(ByteBuffer payload)

### put

void put(ReadableBuffer payload)

### put

default void put(String value)

### limit

int limit()